Bug 1287469 - let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: syslog-ng (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 02:44 EST by Martin Frodl
Modified: 2016-01-16 15:37 EST (History)
7 users (show)

See Also:
Fixed In Version: syslog-ng-3.5.6-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1269245
Environment:
Last Closed: 2016-01-16 15:37:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1287470 None None None Never

  None (edit)
Description Martin Frodl 2015-12-02 02:44:52 EST
Same issue encountered when upgrading to rsyslog-7.4.7-12.el7.x86_64 with syslog-ng-3.5.6-1.el7.x86_64 installed.

+++ This bug was initially created as a clone of Bug #1269245 +++

Description of problem:

syslog-ng and rsyslog both wants to install the file:
  /etc/logrotate.d/syslog

To be able to have both excellent loggers installed at the same time
this file must be identical.

I have sent a request to rsyslog package:

 https://bugzilla.redhat.com/show_bug.cgi?id=1269244

to change their version of /etc/logrotate.d/syslog such that syslog-ng
also can use the file unmodified.

Attached is a patch to change /etc/logrotate.d/syslog in syslog-ng
to the same version, this way users of both packages will be happy.

Setup has been tested, install both rsyslog and syslog-ng is now possible, make
it very easy to switch between loggers as users may want. 
Logrotate works as before.

Please apply attached patch.
Comment 1 Fedora Update System 2015-12-30 15:10:26 EST
syslog-ng-3.5.6-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5b03d8aee0
Comment 2 Jose Pedro Oliveira 2015-12-30 15:20:30 EST
Commit to the epel7 branch of the syslog-ng package:

----------
commit 3a02359f4c9fdc2f89407cfcf4e3c3747f1e54cf
Author: Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com>
Date:   Wed Dec 30 20:52:38 2015 +0100

    Sync the logrotate configuration file from rsyslog-7.4.7-12.el7 (#1287469)

----------

syslog-ng-3.5.6-3.el7 koji build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=708078
Comment 3 Fedora Update System 2015-12-31 23:20:41 EST
syslog-ng-3.5.6-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5b03d8aee0
Comment 4 Fedora Update System 2016-01-16 15:37:09 EST
syslog-ng-3.5.6-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.